Subject: Re: Anyone ported slang?
From: [email-masked] (Dr. Volker Zell)

5 Jan 1999 16:19:26 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0 (generated by SEMI 1.9.0 - "Isurugi")
Content-Type: text/plain; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

    >> I'm trying to get slang 0.99.38 to compile on my Cygwin
    >> b20-based NT box.  The ./configure script for it runs fine, but
    >> when I try compiling, it chokes on some terminal I/O type
    >> stuff, e.g.:

Try 

 o slang1.2.2 - ftp://space.mit.edu/pub/davis/slang

with the following patch

diff -upr /slang/src/sl-feat.h slang/src/sl-feat.h
--- /slang/src/sl-feat.h	Mon Apr 13 03:57:40 1998
+++ slang/src/sl-feat.h	Wed Apr 15 19:10:39 1998
@@ -9,7 +9,7 @@
 /* This is experimental.  It adds extra information for tracking down
  * errors.
  */
-#define _SLANG_HAS_DEBUG_CODE	1
+#define _SLANG_HAS_DEBUG_CODE	0
 
 /* Setting this to one will map 8 bit vtxxx terminals to 7 bit.
  * This affects just input characters in the range 128-160 on non PC
diff -upr /slang/src/slang.h slang/src/slang.h
--- /slang/src/slang.h	Mon Apr 13 03:57:40 1998
+++ slang/src/slang.h	Wed Apr 15 18:57:55 1998
@@ -67,7 +67,7 @@
 
 #if defined(__NT__) || defined(__MINGW32__) || defined(__CYGWIN32__)
 # ifndef IBMPC_SYSTEM
-#  define IBMPC_SYSTEM
+#  define REAL_UNIX_SYSTEM
 # endif
 #endif

It works for me with several slang apps.

Ciao
  Volker

-- 
___________________________________________________________________________

   "Is a dream a lie if it don't come true or is it something worse ..."

                                                 Dr. Volker Zell
      __ /  _  /  __  / ___/  /    ___/          -- Senior Dozent --
     /  /  /__/  /_  / /     /    __/            Oracle Germany
   ____/__/ _|__/ __/____/ ____/____/            Paul-Thomas-Str.58 
                                                 D-40599 D|sseldorf
   e-Mail: mailto:[email-masked]
   WWW:    http://trgsund4.de.oracle.com/
   Tel:    (+49) 211-74839-414                   
   Fax:    (+49) 211-74839-44
___________________________________________________________________________

The statements and opinions expressed here are my own and do not necessarily 
represent those of Oracle Corporation.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".